#pragma once
#include <cstddef>
#include "xlt_quote_struct.h"

namespace x1 {

    /**
     * @brief 只读静态行情信息列表
     */
    class XLTStaticQuoteList {
    public:
        virtual size_t data_count() const = 0;
        virtual const xlt_static_quote_full_info_t* get(int i) const = 0;
    protected:
        virtual ~XLTStaticQuoteList() = default;
    };

    /**
     * @brief 只读Level1行情信息列表
     */
    class XLTLevel1QuoteList {
    public:
        virtual size_t data_count() const = 0;
        virtual const xlt_level1_quote_t* get(int i) const = 0;
    protected:
        virtual ~XLTLevel1QuoteList() = default;
    };
}
